<?php
namespace Incoviba\Service;

use DateTimeInterface;
use Psr\Log\LoggerInterface;
use Incoviba\Common\Ideal;

class Contabilidad extends Ideal\Controller
{
    public function __construct(LoggerInterface                          $logger,
                                protected Contabilidad\Informe\Tesoreria $tesoreriaService)
    {
        parent::__construct($logger);
    }

    public function tesoreria(DateTimeInterface $fecha): array
    {
        return $this->tesoreriaService->getOutput()->build($fecha);
    }
}
